[Buildroot] svn commit: trunk/buildroot/package/config

jacmet at uclibc.org jacmet at uclibc.org
Thu Jun 19 19:06:09 UTC 2008


Author: jacmet
Date: 2008-06-19 12:06:08 -0700 (Thu, 19 Jun 2008)
New Revision: 22454

Log:
package/config: add gettext helper

>From Bernhards tree (2b693d78)


Added:
   trunk/buildroot/package/config/check.sh


Changeset:
Added: trunk/buildroot/package/config/check.sh
===================================================================
--- trunk/buildroot/package/config/check.sh	                        (rev 0)
+++ trunk/buildroot/package/config/check.sh	2008-06-19 19:06:08 UTC (rev 22454)
@@ -0,0 +1,14 @@
+#!/bin/sh
+# Needed for systems without gettext
+$* -xc -o /dev/null - > /dev/null 2>&1 << EOF
+#include <libintl.h>
+int main()
+{
+	gettext("");
+	return 0;
+}
+EOF
+if [ ! "$?" -eq "0"  ]; then
+	echo -DKBUILD_NO_NLS;
+fi
+


Property changes on: trunk/buildroot/package/config/check.sh
___________________________________________________________________
Name: svn:executable
   + *




More information about the buildroot mailing list